_satellite.pushAsyncScript(function(event, target, $variables){
  if(dataLayer.pageName == "/premium/")
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph_Subscriptions landing page";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/6zrz2pm/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);
  
}
else if(new RegExp("/premium/subscriptions").test(dataLayer.pageName))
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph_Comparison Page";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/lodaehy/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);

}
else if(_satellite.getVar('TMG DL premiumContent') == "true")
{

	//waiting on new stuff
	
	var script = document.createElement('script');
	script.type = "text/javascript";
	script.src = "https://js.adsrvr.org/up_loader.1.1.0.js";
	document.getElementsByTagName('body')[0].appendChild(script);
	
	setTimeout( function(){
	
	ttd_dom_ready( function() {
		if (typeof TTDUniversalPixelApi === 'function') {
			var universalPixelApi = new TTDUniversalPixelApi();
			universalPixelApi.init("42mnb9c", ["yivq8ax"], "https://insight.adsrvr.org/track/up");
		}
	});
	
	}, 2000)
  
}
else if(new RegExp(/\/secure\/payment/).test(window.location.pathname) && !(new RegExp(/\/secure\/payment\/confirmation/).test(window.location.href)))
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph_Secure payment page";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/esnafu0/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);

}
else if(new RegExp(/\/secure\/payment\/confirmation-premium/).test(window.location.href))
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph_Subscriptions complete page";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/4ns1qer/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);

}
else if(new RegExp(/\/secure\/payment\/confirmation-digital/).test(window.location.href))
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph - Confirmation- All Access";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/lanln7a/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);

}
else if(new RegExp(/\/secure\/payment\/confirmation-sports/).test(window.location.href))
{

	var iframe = document.createElement('script');
	iframe.width = "0";
	iframe.height = "0";
	iframe.name = "Trade Desk Tracking - Telegraph - Confirmation - Sport";
	iframe.frameborder = "0";
	iframe.scrolling = "no";
	iframe.src = "//insight.adsrvr.org/tags/42mnb9c/v7ace9x/iframe";
	document.getElementsByTagName('body')[0].appendChild(iframe);

}
});
